Index: c/src/lib/libcpu/sparc/reg_win/window.S
===================================================================
--- c/src/lib/libcpu/sparc/reg_win/window.S	(revision 173fd7cff799e4c167936e47cf654772eaee117f)
+++ c/src/lib/libcpu/sparc/reg_win/window.S	(revision 359e5374164ccb2a66833354b412a859c144ea2f)
@@ -2,5 +2,5 @@
  *  window.s
  *
- *  This file contains the register window management routines for the 
+ *  This file contains the register window management routines for the
  *  SPARC architecture.  Trap handlers for the following capabilities
  *  are included in this file:
@@ -9,10 +9,10 @@
  *    + Window Underflow
  *    + Flushing All Windows
- * 
+ *
  *  COPYRIGHT:
  *
- *  This file includes the window overflow and underflow handlers from 
- *  the file srt0.s provided with the binary distribution of the SPARC 
- *  Instruction Simulator (SIS) found at 
+ *  This file includes the window overflow and underflow handlers from
+ *  the file srt0.s provided with the binary distribution of the SPARC
+ *  Instruction Simulator (SIS) found at
  *  ftp://ftp.estec.esa.nl/pub/ws/wsd/erc32.
  *
@@ -42,5 +42,5 @@
 
         /*
-         *  Calculate new WIM by "rotating" the valid bits in the WIM right 
+         *  Calculate new WIM by "rotating" the valid bits in the WIM right
          *  by one position.  The following shows how the bits move for a SPARC
          *  cpu implementation where SPARC_NUMBER_OF_REGISTER_WINDOWS is 8.
@@ -50,5 +50,5 @@
          *
          *  NOTE: New WIM must be stored in a global register since the
-         *        "save" instruction just prior to the load of the wim 
+         *        "save" instruction just prior to the load of the wim
          *        register will result in the local register set changing.
          */
@@ -59,5 +59,5 @@
         sll  %l3, SPARC_NUMBER_OF_REGISTER_WINDOWS-1 , %l4
                                          ! l4 = WIM << (Number Windows - 1)
-        or   %l4, %g1, %g1               ! g1 = (WIM >> 1) | 
+        or   %l4, %g1, %g1               ! g1 = (WIM >> 1) |
                                          !      (WIM << (Number Windows - 1))
 
@@ -93,5 +93,5 @@
 
         /*
-         *  Calculate new WIM by "rotating" the valid bits in the WIM left 
+         *  Calculate new WIM by "rotating" the valid bits in the WIM left
          *  by one position.  The following shows how the bits move for a SPARC
          *  cpu implementation where SPARC_NUMBER_OF_REGISTER_WINDOWS is 8.
@@ -101,5 +101,5 @@
          *
          *  NOTE: New WIM must be stored in a global register since the
-         *        "save" instruction just prior to the load of the wim 
+         *        "save" instruction just prior to the load of the wim
          *        register will result in the local register set changing.
          */
@@ -171,7 +171,7 @@
          *    l2 = npc
          */
- 
+
         PUBLIC(window_flush_trap_handler)
- 
+
 SYM(window_flush_trap_handler):
         /*
@@ -196,39 +196,39 @@
 
         restore                               ! go back one register window
- 
+
 save_frame_loop:
         sll     %g4, 1, %g5                   ! rotate the "wim" left 1
         srl     %g4, SPARC_NUMBER_OF_REGISTER_WINDOWS - 1, %g4
         or      %g4, %g5, %g4                 ! g4 = wim if we do one restore
- 
+
         /*
          *  If a restore would not underflow, then continue.
          */
- 
+
         andcc   %g4, %g2, %g0                 ! Any windows to flush?
         bnz     done_flushing                 ! No, then continue
         nop
- 
+
         restore                               ! back one window
- 
+
         /*
          *  Now save the window just as if we overflowed to it.
          */
- 
+
         std     %l0, [%sp + CPU_STACK_FRAME_L0_OFFSET]
         std     %l2, [%sp + CPU_STACK_FRAME_L2_OFFSET]
         std     %l4, [%sp + CPU_STACK_FRAME_L4_OFFSET]
         std     %l6, [%sp + CPU_STACK_FRAME_L6_OFFSET]
- 
+
         std     %i0, [%sp + CPU_STACK_FRAME_I0_OFFSET]
         std     %i2, [%sp + CPU_STACK_FRAME_I2_OFFSET]
         std     %i4, [%sp + CPU_STACK_FRAME_I4_OFFSET]
         std     %i6, [%sp + CPU_STACK_FRAME_I6_FP_OFFSET]
- 
+
         ba      save_frame_loop
         nop
- 
+
 done_flushing:
- 
+
         add     %g3, 2, %g3                   ! calculate desired WIM
         and     %g3, SPARC_NUMBER_OF_REGISTER_WINDOWS - 1, %g3
@@ -236,5 +236,5 @@
         sll     %g4, %g3, %g4                 ! g4 = new WIM
         mov     %g4, %wim
- 
+
         mov     %g1, %psr                     ! restore PSR
         nop
